Public Member Functions
CTimeArray Class Reference

## Detailed Description

The CTimeArray is an uni-dimensional array of CTime.

The array is zero-based, which means that the first item index is 0 and the larger index is one less that the number of elements contained in the array.

See also:
  CTime, FCurve::SetKeys

`#include <xsi_time.h>`

List of all members.

## Public Member Functions
| CTimeArray (LONG in_size=0)
| CTimeArray (const CTimeArray &in_array)
| ~CTimeArray ()
CTimeArray & | operator= (const CTimeArray &in_array)
LONG | GetCount () const
CStatus | Add (const CTime &in_item)
CStatus | Clear ()
CStatus | Resize (LONG in_size)
const CTime & | operator[] (LONG in_index) const
CTime & | operator[] (LONG in_index)
bool | operator== (const CTimeArray &in_array) const
bool | operator!= (const CTimeArray &in_array) const

## Constructor & Destructor Documentation

CTimeArray | ( | LONG | in_size = `0` | ) |

Constructs a CTimeArray and optionally initializes the array to a known size.

Parameters:

  in_size | Size of array, defaults to 0.

CTimeArray | ( | const CTimeArray & | in_array | ) |

Constructs a CTimeArray object from another CTimeArray object.

Parameters:

  in_array | constant CTimeArray object.

~CTimeArray | ( |  | ) |

Default destructor.

## Member Function Documentation

CTimeArray& operator= | ( | const CTimeArray & | in_array | ) |

Assignment operator.

Parameters:

  in_array | constant class object.

Returns:
  A reference to this array.

LONG GetCount | ( |  | ) | const

Returns the number of items in this CTimeArray

Returns:
  The number of items in the array.

CStatus Add | ( | const CTime & | in_item | ) |

Adds a CTime at the end of this array's.

Parameters:

  in_item | New item to be added at the end of the array.

Returns:
  CStatus::OK success

CStatus Clear | ( |  | ) |

Erases all elements contained in the array.

Returns:
  CStatus::OK success

CStatus Resize | ( | LONG | in_size | ) |

Reallocates memory for the array, preserves its contents if new new size is larger than existing size.

Parameters:

  in_size | New size of the array.

Returns:
  CStatus::OK success
  CStatus::InvalidArgument in_size < 0

const CTime& operator[] | ( | LONG | in_index | ) | const

Accessor to elements at a given index. This function can only be called by constant objects, the returned value is read-only.

Parameters:

  in_index | index in this zero-based array. The index must be greater or equal to zero and smaller than the number of element in the array, otherwise the results are unpredictable.

Returns:
  A read-only reference to the indexed item.

CTime& operator[] | ( | LONG | in_index | ) |

Accessor to elements at a given index.

Parameters:

  in_index | index in this zero-based array. The index must be greater or equal to zero and smaller than the number of element in the array, otherwise the results are unpredictable.

Returns:
  A reference to the indexed item.

bool operator== | ( | const CTimeArray & | in_array | ) | const

Equality operator.

Parameters:

  in_array | CTimeArray to compare with.

Returns:
  true if in_array contains the same number of elements as this array and if all members of in_array are equal to the corresponding one contained in this array.

bool operator!= | ( | const CTimeArray & | in_array | ) | const

Inequality operator.

Parameters:

  in_array |

Returns:
  true if one member of in_array is different from the corresponding members in this array or if the arrays are not of the same size.

The documentation for this class was generated from the following file:

- xsi_time.h